%define anolis_release 1

Name: pcmciautils
Summary: PCMCIA utilities and initialization programs
License: GPLv2
Version: 018
Release: %{anolis_release}%{?dist}
URL: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html
Source: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmciautils-%{version}.tar.gz

ExclusiveArch: x86_64
BuildRequires: make
BuildRequires: gcc
BuildRequires: libsysfs-devel >= 1.3.0
BuildRequires: byacc, flex

%description
The pcmciautils package contains utilities for initializing and
debugging PCMCIA and Cardbus sockets.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup 

%build
make V=1 OPTIMIZATION="$RPM_OPT_FLAGS" STRIPCMD=: #%{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/udev

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/pcmcia/*.opts
%dir %{_sysconfdir}/pcmcia
%attr(0644,root,root) /lib/udev/rules.d/*
/sbin/pccardctl
%attr(0755,root,root) /sbin/lspcmcia
%attr(0755,root,root) /lib/udev/pcmcia-check-broken-cis
%attr(0755,root,root) /lib/udev/pcmcia-socket-startup
%{_mandir}/man*/lspcmcia*
%{_mandir}/man*/pccardctl*

%files doc
%doc doc/mini-howto.txt doc/cardmgr-to-pcmciautils.txt

%changelog
* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 018-1
- init package from upstream
